Name:           python-sounddevice
Version:        0.5.1
Release:        1%{?dist}
Summary:        Play and Record Sound with Python

License:        MIT
URL:            https://pypi.org/project/sounddevice/
Source:         %{pypi_source sounddevice}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This Python module provides bindings for the PortAudio library and a few convenience functions to play and record NumPy arrays containing audio signals.}

%description %_description

%package -n python3-sounddevice
Summary:        %{summary}

%description -n python3-sounddevice %_description

%prep
%autosetup -p1 -n sounddevice-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files sounddevice _sounddevice


%check
%tox


%files -n python3-sounddevice -f %{pyproject_files}
%doc README.*

%changelog
* Sat Dec 7 2024 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 0.5.1-1
- Update version

* Wed Oct 2 2024 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 0.5.0-1
- Update version

* Tue Jun 25 2024 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 0.4.7-1
- Update version

* Sun Mar 31 2024 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 0.4.6-1
- Initial package
